Skip to main content
POST
Submit budget for approval

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string<uuid>
required

Budget ID

Body

application/json
approverUserIds
string<uuid>[]

User ids of named client approvers (max 50), from approver-options

Maximum array length: 50
approverCompanyRoleId
string<uuid> | null

Company role whose holders at the budget's company approve

message
string | null

Optional message to the approvers

Maximum string length: 1000
expectedUpdatedAt
string<date-time>

The budget's updatedAt the client last read; 409 when it changed since

Response

Budget routed to its approvers

data
object
required